Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class Debugger.ExceptionEvent

    java.lang.Object
      com.sun.squawk.Debugger.Event
          com.sun.squawk.Debugger.LocationEvent
              com.sun.squawk.Debugger.ExceptionEvent

Enclosing class:
  Debugger

    public static class Debugger.ExceptionEvent

extends Debugger.LocationEvent

Field Summary
`ExecutionPoint` | `catchLocation`
`boolean` | `isCaught`

Fields inherited from class com.sun.squawk.Debugger.LocationEvent
`location`

Fields inherited from class com.sun.squawk.Debugger.Event
`BREAKPOINT, CLASS_LOAD, CLASS_PREPARE, CLASS_UNLOAD, EXCEPTION, EXCEPTION_CATCH, FIELD_ACCESS, FIELD_MODIFICATION, FRAME_POP, kind, METHOD_ENTRY, METHOD_EXIT, object, SINGLE_STEP, THREAD_DEATH, THREAD_END, THREAD_START, USER_DEFINED, VM_DEATH, VM_DISCONNECTED, VM_INIT, VM_START`

Constructor Summary
`Debugger.ExceptionEvent(Throwable exception, ExecutionPoint throwLocation, ExecutionPoint catchLocation, boolean isCaught)`

Method Summary

Methods inherited from class com.sun.squawk.Debugger.Event
`getThread, getThreadID, setThread`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### catchLocation

    public final ExecutionPoint catchLocation

### isCaught

    public final boolean isCaught

Constructor Detail

### Debugger.ExceptionEvent

    public Debugger.ExceptionEvent(Throwable exception,
                                   ExecutionPoint throwLocation,
                                   ExecutionPoint catchLocation,
                                   boolean isCaught)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"